## cascading.flow.stream
Class Duct<Incoming,Outgoing>

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>

Direct Known Subclasses:
  CloseReducingDuct, Fork, Gate, OpenDuct, OpenReducingDuct, Stage

    public abstract class Duct<Incoming,Outgoing>

extends Object

Field Summary
`protected Duct<Outgoing,?>` `next`

Method Summary
`void` `bind(StreamGraph streamGraph)`
`void` `cleanup()`
`void` `complete(Duct previous)`
`Duct` `getNext()`
`protected Duct` `getNextFor(StreamGraph streamGraph)`
`void` `initialize()` Called immediately after bind
`void` `prepare()`
`abstract void` `receive(Duct previous, Incoming incoming)`
`void` `receiveFirst(Incoming incoming)`
`void` `start(Duct previous)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### next

    protected Duct<Outgoing,?> next

Method Detail

### getNext

    public Duct getNext()

### bind

    public void bind(StreamGraph streamGraph)

### getNextFor

    protected Duct getNextFor(StreamGraph streamGraph)

### initialize

    public void initialize()

  Called immediately after bind

### prepare

    public void prepare()

### receiveFirst

    public final void receiveFirst(Incoming incoming)

### start

    public void start(Duct previous)

### receive

    public abstract void receive(Duct previous,
                                 Incoming incoming)

### complete

    public void complete(Duct previous)

### cleanup

    public void cleanup()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.